Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.troubleticket
Interface TroubleTicketManager

public interface TroubleTicketManager
extends Session

This is a front-end to the trouble ticket system. It creates tickets and helps you move thru the ticket workflow. Constructor takes a sequencer key. If no sequencer with that key exists, a new one is created Each workflow-associated method takes in the minimum parameters needed to make the state transition. It fills in the ones it can (like status and effectiveDate), and it tries to move the workflow. If the transition is invalid, it passes the exception on thru to the caller of the method. openTicket uses sequencer to create a new ticket entity Stateful session bean This Bean is configurable with the following properties: TroubleTicketHome - Specifies the JNDI name for allocating trouble tickets. The default is theory.smart.ebusiness.troubleticket.TroubleTicket AlphaNumericSequencerHome - Specifies the JNDI name for allocating Aphanumeric Sequence. The default is theory.smart.axiom.util.AlphaNumericSequencer SequencerPrefix - Specifies the Prefix for allocating Trouble Ticket. Default is ticket SequencerSuffix - Specifies the Suffix for allocating Trouble Ticket. Default is ""

                      troubleTicketGenerator
     [TroubleTicketManager] <>------> [theory.smart.axiom.util.AlphaNumericSequencer]

See Also:
  `TroubleTicketManagerHome`, `TroubleTicketManagerImpl`

Method Summary
`java.util.Enumeration` | `getAllTickets()` Return a list of all the open trouble tickets in the system.
`java.lang.String[]` | `getAllTicketSummaries()` Get a summary of all the trouble tickets on the system.
`java.util.Vector` | `getTicketsByCustomer(java.lang.String customerKey)` Get all of the trouble tickets associated with the specified customer.
`TroubleTicket` | `getTroubleTicket(java.lang.String ticketId)` Get the ticket associated with the specified key.
`AlphaNumericSequencer` | `getTroubleTicketGenerator()` Get the remote object reference of troubleTicketGenerator
`java.lang.String` | `openTroubleTicket(java.lang.String category, Customer customer, java.lang.String description)` Create a new trouble ticket with the specified category, customer, and description.
`void` | `purgeAllTickets()` Deletes all closed or rejected tickets.
`void` | `purgeTicket(java.lang.String ticketId)` Purge a ticket that is in the closed or rejected state.
`void` | `setTroubleTicketGenerator(AlphaNumericSequencer troubleTicketGenerator)` Set the remote object reference of troubleTicketGenerator
`void` | `setTroubleTicketGenerator(java.lang.String sequencerKey)` Assign the sequence generator used for the creation of trouble ticket keys.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getTroubleTicketGenerator

    public AlphaNumericSequencer getTroubleTicketGenerator()
                                                    throws java.rmi.RemoteException

  Get the remote object reference of troubleTicketGenerator
  Returns:
    troubleTicketGenerator.

### setTroubleTicketGenerator

    public void setTroubleTicketGenerator(AlphaNumericSequencer troubleTicketGenerator)
                                   throws java.rmi.RemoteException

  Set the remote object reference of troubleTicketGenerator
  Parameters:
    `troubleTicketGenerators` - troubleTicketGenerator to be added

### setTroubleTicketGenerator

    public void setTroubleTicketGenerator(java.lang.String sequencerKey)
                                   throws java.rmi.RemoteException

  Assign the sequence generator used for the creation of trouble ticket keys. This method allows the programmer to configure the sequence generator at runtime. Care must be taken to ensure uniqueness when changing to a different generator.

### openTroubleTicket

    public java.lang.String openTroubleTicket(java.lang.String category,
                                              Customer customer,
                                              java.lang.String description)
                                       throws java.rmi.RemoteException,
                                              CreateException,
                                              IllegalWorkflowTransitionException

  Create a new trouble ticket with the specified category, customer, and description. The newly generated key for the ticket is returned.

### getTroubleTicket

    public TroubleTicket getTroubleTicket(java.lang.String ticketId)
                                   throws java.rmi.RemoteException

  Get the ticket associated with the specified key.

### getAllTickets

    public java.util.Enumeration getAllTickets()
                                        throws java.rmi.RemoteException,
                                               FinderException

  Return a list of all the open trouble tickets in the system.

### getAllTicketSummaries

    public java.lang.String[] getAllTicketSummaries()
                                             throws java.rmi.RemoteException

  Get a summary of all the trouble tickets on the system.

### getTicketsByCustomer

    public java.util.Vector getTicketsByCustomer(java.lang.String customerKey)
                                          throws java.rmi.RemoteException,
                                                 FinderException,
                                                 javax.naming.NamingException

  Get all of the trouble tickets associated with the specified customer.

### purgeTicket

    public void purgeTicket(java.lang.String ticketId)
                     throws java.rmi.RemoteException

  Purge a ticket that is in the closed or rejected state.

### purgeAllTickets

    public void purgeAllTickets()
                         throws java.rmi.RemoteException

  Deletes all closed or rejected tickets.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.